Index: trunk/NEMO/TOP_SRC/trcdit.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcdit.F90	(revision 944)
+++ trunk/NEMO/TOP_SRC/trcdit.F90	(revision 945)
@@ -1,10 +1,23 @@
 MODULE trcdit
+   !!======================================================================
+   !!                       *** MODULE trcdit ***
+   !! TOP :   Output of passive tracers
+   !! O.Aumont and A.El Moussaoui 03/05 F90 
+   !!======================================================================
+   !! History :    -   !  1995-01 (M. Levy)  Original code
+   !!              -   !  1998-01 (C. Levy) NETCDF format using ioipsl interface
+   !!              -   !  1999-01 (M.A. Foujols) adapted for passive tracer
+   !!              -   !  1999-09 (M.A. Foujols) split into three parts
+   !!             1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/TOP_SRC/trcdit.F90,v 1.9 2007/10/12 09:22:19 opalod Exp $ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+#if defined key_top
    !!----------------------------------------------------------------------
-   !! * Modules used
-   !! ==============
+   !!   'key_top'                                                TOP models
+   !!----------------------------------------------------------------------
+   !! trcdit_wr   :
+   !! trcdid_wr   :
+   !! trcdii_wr   :
+   !! trcdib_wr   : 
+   !!----------------------------------------------------------------------
    USE oce_trc
    USE trc
@@ -12,131 +25,92 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp
+   USE ioipsl
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC trcdit_wr
-   PUBLIC trcdid_wr
-   PUBLIC trcdii_wr
-   PUBLIC trcdib_wr
-
-   !! * Module variables
-   INTEGER            ::  &
-      nit5     ,  &   !!: id for tracer output file
-      ndepit5  ,  &   !!: id for depth mesh
-      nhorit5  ,  &   !!: id for horizontal mesh
-      ndimt50  ,  &   !!: number of ocean points in index array
-      ndimt51         !!: number of ocean points in index array
-   REAL(wp) :: zjulian
-   INTEGER , DIMENSION (jpij*jpk) ::  ndext50 !!: integer arrays for ocean 3D index
-   INTEGER , DIMENSION (jpij)     ::  ndext51 !!: integer arrays for ocean surface index
-#    if defined key_passivetrc && defined key_trc_diaadd
-   INTEGER            :: &
-      nitd     ,  &   !!: id for additional array output file
-      ndepitd  ,  &   !!: id for depth mesh
-      nhoritd         !!: id for horizontal mesh
-#    endif
-#    if defined key_passivetrc && defined key_trc_diatrd
-   INTEGER , DIMENSION (jptra)  :: &
-      nit6    ,   &   !!: id for additional array output file
-      ndepit6 ,   &   !!: id for depth mesh
-      nhorit6         !!: id for horizontal mesh
-#    endif
-#    if defined key_passivetrc && defined key_trc_diabio
-   INTEGER            :: &
-      nitb     ,   &  !!:  id for additional array output FILE
-      ndepitb  ,   &  !!:  id for depth mesh
-      nhoritb         !!:  id for horizontal mesh
-
-#    endif
-
+   PUBLIC trcdit_wr      ! caller in trcdia.F90
+   PUBLIC trcdid_wr      ! caller in trcdia.F90
+   PUBLIC trcdii_wr      ! caller in trcdia.F90
+   PUBLIC trcdib_wr      ! caller in trcdia.F90
+
+   INTEGER  ::   nit5      !: id for tracer output file
+   INTEGER  ::   ndepit5   !: id for depth mesh
+   INTEGER  ::   nhorit5   !: id for horizontal mesh
+   INTEGER  ::   ndimt50   !: number of ocean points in index array
+   INTEGER  ::   ndimt51   !: number of ocean points in index array
+   REAL(wp) ::   zjulian   !: ????   not DOCTOR !
+   INTEGER , DIMENSION (jpij*jpk) ::   ndext50   !: integer arrays for ocean 3D index
+   INTEGER , DIMENSION (jpij)     ::   ndext51   !: integer arrays for ocean surface index
+# if defined key_trc_diaadd
+   INTEGER  ::   nitd      !: id for additional array output file
+   INTEGER  ::   ndepitd   !: id for depth mesh
+   INTEGER  ::   nhoritd   !: id for horizontal mesh
+# endif
+# if defined key_trc_diatrd
+   INTEGER , DIMENSION (jptra) ::   nit6      !: id for additional array output file
+   INTEGER , DIMENSION (jptra) ::   ndepit6   !: id for depth mesh
+   INTEGER , DIMENSION (jptra) ::   nhorit6   !: id for horizontal mesh
+# endif
+# if defined key_trc_diabio
+   INTEGER  ::   ndepitb   !:  id for depth mesh
+   INTEGER  ::   nhoritb   !:  id for horizontal mesh
+# endif
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
 
-#    if defined key_passivetrc
-
-      SUBROUTINE trcdit_wr(kt,kindic)
-   !!===========================================================================================
-   !!
-   !!                       ROUTINE trcdit_wr
-   !!===========================================================================================
-   !!
-   !! Purpose :
-   !!---------
-   !!          Standard output of passive tracer : concentration fields
-   !!
-   !!
-   !! Method :
-   !! -------
-   !!
-   !!        At the beginning of the first time step (nit000), define all
-   !!        the NETCDF files and fields for concentration of passive tracer
-   !!
-   !!        At each time step call histdef to compute the mean if necessary
-   !!        Each nwritetrc time step, output the instantaneous or mean fields
-   !!
-   !!        IF kindic <0, output of fields before the model interruption.
-   !!        IF kindic =0, time step loop
-   !!        IF kindic >0, output of fields before the time step loop
-   !!
-   !! Input :
-   !! -----
-   !!   argument
-   !!           kt              : time step
-   !!           kindic          : indicator of abnormal termination
-   !!
-   !! EXTERNAL :
-   !! --------
-   !! prihre, hist..., dianam
-   !!
-   !! History:
-   !! --------
-   !!   original  : 95-01  passive tracers  (M. Levy)
-   !!   additions : 98-01 (C. Levy) NETCDF format using ioipsl interface
-   !!   additions : 99-01 (M.A. Foujols) adapted for passive tracer
-   !!   additions : 99-09 (M.A. Foujols) split into three parts
-   !!   05-03 (O. Aumont and A. El Moussaoui) F90
-   !!==================================================================================================!
-
-      !! Modules used
-      USE ioipsl
-
-
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt,kindic         ! ocean time-step
-
-      !! * Local declarations
-      INTEGER :: jn
-      LOGICAL :: ll_print = .FALSE.
-
+      SUBROUTINE trcdit_wr( kt, kindic )
+      !!----------------------------------------------------------------------
+      !!                     ***  ROUTINE trcdit_wr  ***
+      !!
+      !! ** Purpose :   Standard output of passive tracer : concentration fields
+      !!
+      !! ** Method  :   At the beginning of the first time step (nit000), define all
+      !!             the NETCDF files and fields for concentration of passive tracer
+      !!
+      !!        At each time step call histdef to compute the mean if necessary
+      !!        Each nwritetrc time step, output the instantaneous or mean fields
+      !!
+      !!        IF kindic <0, output of fields before the model interruption.
+      !!        IF kindic =0, time step loop
+      !!        IF kindic >0, output of fields before the time step loop
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) ::   kt          ! ocean time-step
+      INTEGER, INTENT( in ) ::   kindic      ! indicator of abnormal termination
+      !!
+      INTEGER ::   jn
+      LOGICAL ::   ll_print = .FALSE.
       CHARACTER (len=40) :: clhstnam, clop
       CHARACTER (len=20) :: cltra, cltrau
       CHARACTER (len=80) :: cltral
-
       REAL(wp) :: zsto, zout, zdt
       INTEGER  :: iimi, iima, ijmi, ijma, ipk, it
-!
-! 0. Initialisation
-! -----------------
-
-! local variable for debugging
-      ll_print = .FALSE.
+      !!----------------------------------------------------------------------
+
+      ! Initialisation
+      ! --------------
+
+      ! local variable for debugging
+      ll_print = .FALSE.                  ! change it to true for more control print
       ll_print = ll_print .AND. lwp
 
-! Define frequency of output and means
-
+      ! Define frequency of output and means
       zdt = rdt
-#        if defined key_diainstant
-      zsto=nwritetrc*rdt
-      clop='inst(only(x))'
-#        else
-      zsto=zdt
-      clop='ave(only(x))'
-#        endif
-      zout=nwritetrc*zdt
+# if defined key_diainstant
+      zsto = nwritetrc * rdt
+      clop = 'inst(only(x))'
+# else
+      zsto = zdt
+      clop = 'ave(only(x))'
+# endif
+      zout = nwritetrc * zdt
 
       ! Define indices of the horizontal output zoom and vertical limit storage
@@ -148,187 +122,131 @@
       it = kt - nittrc000 + 1
 
-! 1. Define NETCDF files and fields at beginning of first time step
-! -----------------------------------------------------------------
+      ! Define NETCDF files and fields at beginning of first time step
+      ! --------------------------------------------------------------
 
       IF(ll_print)WRITE(numout,*)'trcdit_wr kt=',kt,' kindic ',kindic
-      IF(kt == nittrc000) THEN
-
-! Compute julian date from starting date of the run
-
-         CALL ymds2ju(nyear,nmonth,nday,0.0,zjulian)
+      
+      IF( kt == nittrc000 ) THEN
+
+         ! Compute julian date from starting date of the run
+         CALL ymds2ju( nyear, nmonth, nday, 0.0, zjulian )
          IF(lwp)WRITE(numout,*)' '  
-         IF(lwp)WRITE(numout,*)' Date 0 used :',nittrc000     &
-       &     ,' YEAR ',nyear,' MONTH ',nmonth,' DAY ',nday   &
-       &     ,'Julian day : ',zjulian    
-         IF(lwp)WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,  &
-                                 ' limit storage in depth = ', ipk
+         IF(lwp)WRITE(numout,*)' Date 0 used :', nittrc000                         &
+            &                 ,' YEAR ', nyear, ' MONTH ', nmonth, ' DAY ', nday   &
+            &                 ,'Julian day : ', zjulian    
+         IF(lwp) WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,  &
+            &                    ' limit storage in depth = ', ipk
 
 
 ! Define the NETCDF files for passive tracer concentration
 
-         CALL dia_nam(clhstnam,nwritetrc,'ptrc_T')
-
+         CALL dia_nam( clhstnam, nwritetrc, 'ptrc_T' )
          IF(lwp)WRITE(numout,*)" Name of NETCDF file ", clhstnam
 ! Horizontal grid : glamt and gphit
- 
-         CALL histbeg(clhstnam, jpi, glamt, jpj, gphit,     &
-         &    iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         & 
-         &    0, zjulian, zdt, nhorit5, nit5 , domain_id=nidom)
+         CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,     &
+            &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         & 
+            &          0, zjulian, zdt, nhorit5, nit5 , domain_id=nidom)
 ! Vertical grid for tracer : gdept
-         CALL histvert(nit5, 'deptht', 'Vertical T levels', &
-         &    'm', ipk, gdept_0, ndepit5)
+         CALL histvert( nit5, 'deptht', 'Vertical T levels', &
+            &            'm', ipk, gdept_0, ndepit5)
 
 ! Index of ocean points in 3D and 2D (surface)
-         CALL wheneq(jpi*jpj*ipk,tmask,1,1.,ndext50,ndimt50)
-         CALL wheneq(jpi*jpj,tmask,1,1.,ndext51,ndimt51)
+         CALL wheneq( jpi*jpj*ipk,tmask,1,1.,ndext50,ndimt50 )
+         CALL wheneq( jpi*jpj,tmask,1,1.,ndext51,ndimt51 )
 
 ! Declare all the output fields as NETCDF variables
 
 ! tracer concentrations
-
-         DO jn=1,jptra
-           cltra=ctrcnm(jn)    ! short title for tracer
-           cltral=ctrcnl(jn)   ! long title for tracer
-           cltrau=ctrcun(jn)   ! UNIT for tracer
-           CALL histdef(nit5, cltra, cltral, cltrau, jpi, jpj, nhorit5,  &
-         &          ipk, 1, ipk,  ndepit5, 32, clop, zsto, zout) 
-         END DO           
-
-! CLOSE netcdf Files
-          
-         CALL histend(nit5)
-
+         DO jn = 1, jptra
+            IF( lutsav(jn) ) THEN
+               cltra  = ctrcnm(jn)   ! short title for tracer
+               cltral = ctrcnl(jn)   ! long title for tracer
+               cltrau = ctrcun(jn)   ! UNIT for tracer
+               CALL histdef( nit5, cltra, cltral, cltrau, jpi, jpj, nhorit5,  &
+                  &               ipk, 1, ipk,  ndepit5, 32, clop, zsto, zout) 
+            ENDIF
+         END DO
+
+         ! end netcdf files header
+         CALL histend( nit5 )
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization in trcdit_wr'
-         IF(ll_print) CALL FLUSH(numout )
-
-      ENDIF
-
-! 2. Start writing data
-! ---------------------
-
-! tracer concentrations
+         IF( ll_print )   CALL FLUSH(numout )
+
+      ENDIF
+
+      ! Start writing the tracer concentrations
+      ! ---------------------------------------
 
       IF( lwp .AND. MOD( kt, nwritetrc ) == 0 ) THEN
          WRITE(numout,*) 'trcdit_wr : write NetCDF passive tracer concentrations at ', kt, 'time-step'
-         WRITE(numout,*) '~~~~~~ '
-      ENDIF
-
-      DO jn=1,jptra
-         cltra=ctrcnm(jn) ! short title for tracer
-         CALL histwrite(nit5, cltra, it, trn(:,:,:,jn), ndimt50,   &
-      &          ndext50)
-      END DO 
-
-! synchronise FILE
-
-      IF( MOD( kt, nwritetrc ) == 0 .OR. kindic < 0 ) THEN
-              CALL histsync(nit5)
-      ENDIF
-
-! 3. Closing all files
-! --------------------
-      IF( kt == nitend .OR. kindic < 0 ) THEN
-          CALL histclo(nit5)
-      ENDIF
-
-END SUBROUTINE trcdit_wr
-
-#    else
-
-! no passive tracers
-
-SUBROUTINE trcdit_wr(kt,kindic)
-     !!! no passive tracers
-     INTEGER, INTENT ( in ) :: kt, kindic
-     WRITE(*,*) 'trcdit_wr: You should not have seen this print! error?', kt, kindic
-END SUBROUTINE trcdit_wr
-
-#    endif
-
-#    if defined key_passivetrc && defined key_trc_diatrd
-
-      SUBROUTINE trcdid_wr(kt,kindic)
- !!===========================================================================================
-   !!
-   !!                       ROUTINE trcdid_wr
-   !!===========================================================================================
-   !!
-   !! Purpose :
-   !!---------
-   !!          output of opa: passive tracer dynamical trends
-   !!
-   !!
-   !! Method :
-   !! -------
-   !!
-   !!        At the beginning of the first time step (nit000), define all
-   !!        the NETCDF files and fields for dynamical trends of tracers
-   !!
-   !!        At each time step call histdef to compute the mean if necessary
-   !!        Each nwritetrd time step, output the instantaneous or mean fields
-   !!
-   !!        IF kindic <0, output of fields before the model interruption.
-   !!        IF kindic =0, time step loop
-   !!        IF kindic >0, output of fields before the time step loop
-   !!
-   !! Input :
-   !! -----
-   !!   argument
-   !!           kt              : time step
-   !!           kindic          : indicator of abnormal termination
-   !!
-   !! Output :
-   !! ------
-   !!   file
-   !!           "clhstnam" files : one for concentration
-   !!
-   !! History:
-   !! --------
-   !!   original  : 95-01  passive tracers  (M. Levy)
-   !!   additions : 98-01 (C. Levy) NETCDF format using ioipsl interface
-   !!   additions : 99-01 (M.A. Foujols) adapted for passive tracer
-   !!   additions : 99-09 (M.A. Foujols) split into three parts
-   !!   additions : 01-06 (Mehdi B, Elodie K): suppress initialization
-   !!                                          of nit6,nhorit6,ndepit6
-   !!   05-03 (O. Aumont and A. El Moussaoui) F90
-   !!==================================================================================================!
-
-      !! Modules used
-      USE ioipsl
-
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt,kindic         ! ocean time-step
-
-      INTEGER :: jn, jl
-      LOGICAL :: ll_print = .FALSE.
-
-      CHARACTER (len=40) :: clhstnam, clop
-      CHARACTER (len=20) :: cltra, cltrau
-      CHARACTER (len=80) :: cltral
-      CHARACTER (len=10) :: csuff
-
-      REAL(wp) :: zsto, zout, zdt
-      INTEGER :: iimi, iima, ijmi, ijma, ipk, it
-
-!
-! 0. Initialisation
-! -----------------
-
-! local variable for debugging
+         WRITE(numout,*) '~~~~~~~~~ '
+      ENDIF
+
+      DO jn = 1, jptra
+         IF( lutsav(jn) ) THEN
+            cltra = ctrcnm(jn)      ! short title for tracer
+            CALL histwrite( nit5, cltra, it, trn(:,:,:,jn), ndimt50, ndext50 )
+         ENDIF
+      END DO
+
+      ! synchronise file
+      IF( MOD( kt, nwritetrc ) == 0 .OR. kindic < 0 )   CALL histsync( nit5 )
+
+
+      ! close the file 
+      ! --------------
+      IF( kt == nitend .OR. kindic < 0 )   CALL histclo( nit5 )
+      !
+   END SUBROUTINE trcdit_wr
+
+# if defined key_trc_diatrd
+
+   SUBROUTINE trcdid_wr( kt, kindic )
+      !!----------------------------------------------------------------------
+      !!                     ***  ROUTINE trcdid_wr  ***
+      !!
+      !! ** Purpose :   output of passive tracer : advection-diffusion trends
+      !!
+      !! ** Method  :   At the beginning of the first time step (nit000), define all
+      !!             the NETCDF files and fields for concentration of passive tracer
+      !!
+      !!        At each time step call histdef to compute the mean if necessary
+      !!        Each nwritetrc time step, output the instantaneous or mean fields
+      !!
+      !!        IF kindic <0, output of fields before the model interruption.
+      !!        IF kindic =0, time step loop
+      !!        IF kindic >0, output of fields before the time step loop
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) ::   kt          ! ocean time-step
+      INTEGER, INTENT( in ) ::   kindic      ! indicator of abnormal termination
+      !!
+      LOGICAL ::   ll_print = .FALSE.
+      CHARACTER (len=40) ::   clhstnam, clop
+      CHARACTER (len=20) ::   cltra, cltrau
+      CHARACTER (len=80) ::   cltral
+      CHARACTER (len=10) ::   csuff
+      INTEGER  ::   jn, jl
+      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it
+      REAL(wp) ::   zsto, zout, zdt
+      !!----------------------------------------------------------------------
+
+      ! 0. Initialisation
+      ! -----------------
+
+      ! local variable for debugging
       ll_print = .FALSE.
       ll_print = ll_print .AND. lwp
-!
-! Define frequency of output and means
-!
+      !
+      ! Define frequency of output and means
       zdt = rdt
-#        if defined key_diainstant
-      zsto=nwritetrd*rdt
-      clop='inst(only(x))'
-#        else
-      zsto=zdt
-      clop='ave(only(x))'
-#        endif
-      zout=nwritetrd*zdt
+#  if defined key_diainstant
+      zsto = nwritetrd * rdt
+      clop = 'inst(only(x))'
+#  else
+      zsto = zdt
+      clop = 'ave(only(x))'
+#  endif
+      zout = nwritetrd * zdt
 
       ! Define indices of the horizontal output zoom and vertical limit storage
@@ -340,109 +258,104 @@
       it = kt - nittrc000 + 1
 
-! Define the NETCDF files (one per tracer)
-!
-      IF(ll_print)WRITE(numout,*)'trcdid kt=',kt,' kindic ',kindic
-      IF(kt == nittrc000) THEN
-
-          DO jn=1,jptra
-
-            IF (luttrd(jn)) THEN
-
-! Define the file for dynamical trends - one per each tracer IF required
-
-         IF(lwp)WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,  &
-                                 ' limit storage in depth = ', ipk
-                csuff='DY_'//ctrcnm(jn)
-                CALL dia_nam(clhstnam,nwritetrd,csuff)
-                IF(lwp)WRITE(numout,*)     &
-                &      " Name of NETCDF file for dynamical trends",   &
-                &      " of tracer number : ",clhstnam
-
-                CALL histbeg(clhstnam, jpi, glamt, jpj, gphit,   &
-                &    iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-                &    0, zjulian, rdt, nhorit6(jn),               &
-                &    nit6(jn) , domain_id=nidom)
-
-! Vertical grid for tracer trend - one per each tracer IF needed
-                CALL histvert(nit6(jn), 'deptht', 'Vertical T levels',  &
-                &    'm', ipk, gdept_0, ndepit6(jn)) 
-
-
-            END IF
+      ! Define the NETCDF files (one per tracer)
+      IF( ll_print ) WRITE(numout,*) 'trcdid kt=', kt, ' kindic ', kindic
+      
+      
+      IF( kt == nittrc000 ) THEN
+
+         DO jn = 1, jptra
+            !
+            IF( luttrd(jn) ) THEN      ! Define the file for dynamical trends - one per each tracer IF required
+
+               IF(lwp)WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,  &
+                   &                   ' limit storage in depth = ', ipk
+               csuff='DY_'//ctrcnm(jn)
+               CALL dia_nam( clhstnam, nwritetrd, csuff )
+               IF(lwp)WRITE(numout,*)   " Name of NETCDF file for dynamical trends",   &
+                  &                     " of tracer number : ",clhstnam
+
+               CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,       &
+                  &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,   &
+                  &          0, zjulian, rdt, nhorit6(jn),           &
+                  &          nit6(jn) , domain_id=nidom )
+
+               ! Vertical grid for tracer trend - one per each tracer IF needed
+               CALL histvert( nit6(jn), 'deptht', 'Vertical T levels',   &
+                  &           'm', ipk, gdept_0, ndepit6(jn) ) 
+             END IF
           END DO
 
-! Declare all the output fields as NETCDF variables
-
-
-! trends for tracer concentrations
-          DO jn=1,jptra
-            IF (luttrd(jn)) THEN
-                DO jl=1,jpdiatrc
-                  IF (jl.eq.1) THEN
-! short and long title for x advection for tracer
+          ! Declare all the output fields as NETCDF variables
+
+          ! trends for tracer concentrations
+          DO jn = 1, jptra
+            IF( luttrd(jn) ) THEN
+                DO jl = 1, jpdiatrc
+                  IF( jl == 1 ) THEN
+                      ! short and long title for x advection for tracer
                       WRITE (cltra,'("XAD_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("X advective trend for ",58a)')  &
-                      &      ctrcnl(jn)(1:58)
-                  END IF
-                  IF (jl.eq.2)  THEN
-! short and long title for y advection for tracer
+                         &      ctrcnl(jn)(1:58)
+                  END IF
+                  IF( jl == 2 ) THEN
+                      ! short and long title for y advection for tracer
                       WRITE (cltra,'("YAD_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Y advective trend for ",58a)')  &
-                      &      ctrcnl(jn)(1:58)
-                  END IF
-                  IF (jl.eq.3)  THEN
-! short and long title for Z advection for tracer
+                         &      ctrcnl(jn)(1:58)
+                  END IF
+                  IF( jl == 3 ) THEN
+                      ! short and long title for Z advection for tracer
                       WRITE (cltra,'("ZAD_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Z advective trend for ",58a)')  &
-                      &      ctrcnl(jn)(1:58)
-                  END IF
-                  IF (jl.eq.4)  THEN
-! short and long title for X diffusion for tracer
+                         &      ctrcnl(jn)(1:58)
+                  END IF
+                  IF( jl == 4 ) THEN
+                      ! short and long title for X diffusion for tracer
                       WRITE (cltra,'("XDF_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("X diffusion trend for ",58a)')  &
-                      &      ctrcnl(jn)(1:58)
-                  END IF
-                  IF (jl.eq.5)  THEN
-! short and long title for Y diffusion for tracer
+                         &      ctrcnl(jn)(1:58)
+                  END IF
+                  IF( jl == 5 ) THEN
+                      ! short and long title for Y diffusion for tracer
                       WRITE (cltra,'("YDF_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Y diffusion trend for ",58a)')  &
-                      &      ctrcnl(jn)(1:58)
-                  END IF
-                  IF (jl.eq.6)  THEN
-! short and long title for Z diffusion for tracer
+                         &      ctrcnl(jn)(1:58)
+                  END IF
+                  IF( jl == 6 ) THEN
+                      ! short and long title for Z diffusion for tracer
                       WRITE (cltra,'("ZDF_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Z diffusion trend for ",58a)')  &
-                      &      ctrcnl(jn)(1:58)
+                         &      ctrcnl(jn)(1:58)
                   END IF
 # if defined key_trc_ldfeiv
-                  IF (jl.eq.7) THEN
-! short and long title for x gent velocity for tracer
+                  IF( jl == 7 ) THEN
+                      ! short and long title for x gent velocity for tracer
                       WRITE (cltra,'("XGV_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("X gent velocity trend for ",53a)')  &
-                      &      ctrcnl(jn)(1:53)
-                  END IF
-                  IF (jl.eq.8)  THEN
-! short and long title for y gent velocity for tracer
+                         &      ctrcnl(jn)(1:53)
+                  END IF
+                  IF( jl == 8 ) THEN
+                      ! short and long title for y gent velocity for tracer
                       WRITE (cltra,'("YGV_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Y gent velocity trend for ",53a)')  &
-                      &      ctrcnl(jn)(1:53)
-                  END IF
-                  IF (jl.eq.9)  THEN
-! short and long title for Z gent velocity for tracer
+                         &      ctrcnl(jn)(1:53)
+                  END IF
+                  IF( jl == 9 ) THEN
+                      ! short and long title for Z gent velocity for tracer
                       WRITE (cltra,'("ZGV_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Z gent velocity trend for ",53a)')  &
-                      &      ctrcnl(jn)(1:53)
+                         &      ctrcnl(jn)(1:53)
                   END IF
 # endif
 # if defined key_trcdmp
-                  IF (jl.eq.jpdiatrc-1)  THEN
-! last trends for tracer damping : short and long title
+                  IF( jl == jpdiatrc - 1 ) THEN
+                      ! last trends for tracer damping : short and long title
                       WRITE (cltra,'("TDM_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Tracer damping trend for ",55a)')  &
-                      &      ctrcnl(jn)(1:55)
-                  END IF
-# endif
-                  IF (jl.eq.jpdiatrc)  THEN
-! last trends for tracer damping : short and long title
+                         &      ctrcnl(jn)(1:55)
+                  END IF
+# endif
+                  IF( jl == jpdiatrc ) THEN
+                      ! last trends for tracer damping : short and long title
                       WRITE (cltra,'("SBC_",16a)') ctrcnm(jn)
                       WRITE (cltral,'("Surface boundary flux ",58a)')  &
@@ -450,17 +363,16 @@
                   END IF
 
-                  call flush(numout)
-                  cltrau=ctrcun(jn) ! UNIT for tracer /trends
-                  CALL histdef(nit6(jn), cltra, cltral, cltrau, jpi,jpj,  &
-                  &   nhorit6(jn), ipk, 1, ipk,  ndepit6(jn), 32, clop ,  &
-                  &   zsto,zout)
-                END DO
+                  CALL FLUSH( numout )
+                  cltrau = ctrcun(jn)      ! UNIT for tracer /trends
+                  CALL histdef( nit6(jn), cltra, cltral, cltrau, jpi,jpj,  &
+                     &          nhorit6(jn), ipk, 1, ipk,  ndepit6(jn), 32, clop ,  &
+                     &          zsto,zout )
+               END DO
             END IF
-          END DO
-
-! CLOSE netcdf Files
-
-          DO jn=1,jptra
-             IF (luttrd(jn)) CALL histend(nit6(jn))
+         END DO
+
+         ! CLOSE netcdf Files
+          DO jn = 1, jptra
+             IF( luttrd(jn) )   CALL histend( nit6(jn) )
           END DO
 
@@ -468,13 +380,13 @@
          IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization in trcdid'
          IF(ll_print) CALL FLUSH(numout )
-
-      ENDIF
-
-! SOME diagnostics to DO first time
-
-! 2. Start writing data
-! ---------------------
-
-! trends for tracer concentrations
+         !
+      ENDIF
+
+      ! SOME diagnostics to DO first time
+
+      ! Start writing data
+      ! ---------------------
+
+      ! trends for tracer concentrations
 
       IF( lwp .AND. MOD( kt, nwritetrd ) == 0 ) THEN
